Bug 620046 - (ghc-terminfo) Review Request: ghc-terminfo - Haskell terminfo binding
Review Request: ghc-terminfo - Haskell terminfo binding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
ready
:
Depends On:
Blocks: ghc-haskeline ghc-vty
  Show dependency treegraph
 
Reported: 2010-07-31 12:14 EDT by Jens Petersen
Modified: 2014-01-02 06:28 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-terminfo-0.3.1.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 08:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mathstuf: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-07-31 12:14:52 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-terminfo/ghc-terminfo.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-terminfo/ghc-terminfo-0.3.1.2-1.fc13.src.rpm
Description: 
Haskell bindings to the terminfo library.

This package is actually quite tricky to build on fedora
because our ncurses linker script breaks the build.
It is also used by Yi for example so I think good to include
it now in fedora.
Comment 2 Ben Boeckel 2010-09-01 00:42:32 EDT
I can take this. rpmlint output:

% lintmock fedora-14-x86_64-bb
ghc-terminfo.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-terminfo.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-terminfo-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-terminfo-prof.x86_64: E: devel-dependency ghc-terminfo-devel
ghc-terminfo-prof.x86_64: W: no-documentation
ghc-terminfo-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/terminfo-0.3.1.3/libHSterminfo-0.3.1.3_p.a
4 packages and 0 specfiles checked; 1 errors, 5 warnings.

Have to test the sed script then (will use yi from cabal against it).
Comment 3 Jens Petersen 2010-09-19 20:15:01 EDT
(In reply to comment #2)
> Have to test the sed script then (will use yi from cabal against it).

Sure, I think it is sufficient to test building with vty
or haskeline, which I noticed has an optional dep on this package.
Comment 4 Ben Boeckel 2010-09-21 22:17:41 EDT
 +:ok,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output

Pasted above (comment #2).

Can all be waived.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

3485c5a7c892b66b817fc28846678f5369d53d89  terminfo-0.3.1.3.tar.gz
3485c5a7c892b66b817fc28846678f5369d53d89  ../SOURCES/terminfo-0.3.1.3.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

Package APPROVED
Comment 5 Jens Petersen 2010-09-21 22:30:56 EDT
Thanks for reviewing.

New Package SCM Request
=======================
Package Name: ghc-terminfo
Short Description: Haskell terminfo binding
Owners: petersen
Branches: f12 f13 f14
InitialCC: haskell-sig
Comment 6 Kevin Fenzi 2010-09-22 12:55:24 EDT
Git done (by process-git-requests).
Comment 7 Jens Petersen 2010-09-22 21:52:23 EDT
imported and built for f15, f14 and f13.
Comment 8 Fedora Update System 2010-09-22 21:54:05 EDT
ghc-terminfo-0.3.1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-terminfo-0.3.1.3-1.fc14
Comment 9 Fedora Update System 2010-09-22 21:54:11 EDT
ghc-terminfo-0.3.1.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-terminfo-0.3.1.3-1.fc13
Comment 10 Fedora Update System 2010-09-23 00:58:01 EDT
ghc-terminfo-0.3.1.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-terminfo'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-terminfo-0.3.1.3-1.fc13
Comment 11 Fedora Update System 2010-09-23 01:49:04 EDT
ghc-terminfo-0.3.1.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/ghc-terminfo-0.3.1.3-1.fc12
Comment 12 Fedora Update System 2010-10-01 08:23:41 EDT
ghc-terminfo-0.3.1.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-10-05 05:26:50 EDT
ghc-terminfo-0.3.1.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-10-05 05:37:13 EDT
ghc-terminfo-0.3.1.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jens Petersen 2012-05-14 01:15:10 EDT
Package Change Request
======================
Package Name: ghc-terminfo
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 16 Jon Ciesla 2012-05-14 08:02:22 EDT
Git done (by process-git-requests).
Comment 17 Jens Petersen 2013-12-27 08:31:30 EST
Package Change Request
======================
Package Name: ghc-terminfo
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 18 Jens Petersen 2014-01-02 06:28:35 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.